| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | List of all members
MultiID Class Reference
Basic

Compound key consisting of ints. More...

`#include <multiid.h>`

Inheritance diagram for MultiID:
[legend]

## Public Member Functions
| MultiID ()
| MultiID (const char *idstr)
| MultiID (const MultiID &)
| MultiID (const OD::String &)=delete
| MultiID (int grpid, int objid)
| MultiID (int grpid, int objid, int subgrpid, int subobjid)
| MultiID (int id)=delete
virtual | ~MultiID ()
const char * | buf () const
bool | fromString (const char *)
int | groupID () const
virtual bool | hasSurveyLocation () const
int | ID (int idx) const
bool | isDatabaseID () const
bool | isEmpty () const =delete
bool | isEqualTo (const char *) const
virtual bool | isInCurrentSurvey () const
bool | isInMemoryDPID () const
bool | isInMemoryObjID () const
bool | isSyntheticID () const
bool | isTmpObjectID () const
bool | isUdf () const
int | leafID () const
MultiID | mainID () const
int | nrIDs () const
int | nrKeys () const
int | objectID () const
bool | operator!= (const char *) const =delete
bool | operator!= (const MultiID &) const
MultiID & | operator+= (const char *)=delete
MultiID & | operator= (const char *)=delete
MultiID & | operator= (const CompoundKey &)=delete
MultiID & | operator= (const MultiID &)
MultiID & | operator= (const StringView &)=delete
bool | operator== (const char *) const =delete
bool | operator== (const MultiID &) const
MultiID | parent () const
void | setEmpty ()=delete
MultiID & | setGroupID (int id)
MultiID & | setID (int idx, int id)
MultiID & | setObjectID (int id)
MultiID & | setSubGroupID (int id)
MultiID & | setSubObjectID (int id)
virtual void | setSurveyDiskLocation (const SurveyDiskLocation &)
MultiID & | setUdf ()
int | subGroupID () const
int | subObjectID () const
virtual const SurveyDiskLocation & | surveyDiskLocation () const
BufferString | toString () const

## Static Public Member Functions
static int | cFirstDatabaseGrpID ()
static int | cLastInMemoryGrpID ()
static int | cMemoryObjID ()
static int | cSyntheticObjID ()
static int | cTmpObjID ()
static const MultiID & | udf ()

## Private Member Functions
MultiID & | add (int id)

## Private Attributes
TypeSet< int > | ids_

## Detailed Description

Compound key consisting of ints.

<>

## Constructor & Destructor Documentation

## ◆ MultiID() [1/7]

MultiID::MultiID | ( |  | ) |

## ◆ MultiID() [2/7]

MultiID::MultiID | ( | int | grpid,
|  | int | objid )

## ◆ MultiID() [3/7]

MultiID::MultiID | ( | const MultiID & |  | ) |

## ◆ MultiID() [4/7]

MultiID::MultiID | ( | int | grpid,
|  | int | objid,
|  | int | subgrpid,
|  | int | subobjid )

## ◆ ~MultiID()

virtual MultiID::~MultiID | ( |  | ) |
| virtual

## ◆ MultiID() [5/7]

MultiID::MultiID | ( | const char * | idstr | ) |
| inline explicit

## ◆ MultiID() [6/7]

MultiID::MultiID | ( | int | id | ) |
| delete

## ◆ MultiID() [7/7]

MultiID::MultiID | ( | const OD::String & |  | ) |
| delete

## Member Function Documentation

## ◆ add()

MultiID & MultiID::add | ( | int | id | ) |
| private

## ◆ buf()

const char * MultiID::buf | ( |  | ) | const

## ◆ cFirstDatabaseGrpID()

static int MultiID::cFirstDatabaseGrpID | ( |  | ) |
| inline static

## ◆ cLastInMemoryGrpID()

static int MultiID::cLastInMemoryGrpID | ( |  | ) |
| inline static

## ◆ cMemoryObjID()

static int MultiID::cMemoryObjID | ( |  | ) |
| inline static

## ◆ cSyntheticObjID()

static int MultiID::cSyntheticObjID | ( |  | ) |
| inline static

## ◆ cTmpObjID()

static int MultiID::cTmpObjID | ( |  | ) |
| inline static

## ◆ fromString()

bool MultiID::fromString | ( | const char * |  | ) |

## ◆ groupID()

int MultiID::groupID | ( |  | ) | const
| inline

## ◆ hasSurveyLocation()

virtual bool MultiID::hasSurveyLocation | ( |  | ) | const
| inline virtual

Reimplemented in DBKey.

## ◆ ID()

int MultiID::ID | ( | int | idx | ) | const

## ◆ isDatabaseID()

bool MultiID::isDatabaseID | ( |  | ) | const

## ◆ isEmpty()

bool MultiID::isEmpty | ( |  | ) | const
| delete

## ◆ isEqualTo()

bool MultiID::isEqualTo | ( | const char * |  | ) | const

## ◆ isInCurrentSurvey()

virtual bool MultiID::isInCurrentSurvey | ( |  | ) | const
| inline virtual

Reimplemented in DBKey.

## ◆ isInMemoryDPID()

bool MultiID::isInMemoryDPID | ( |  | ) | const

## ◆ isInMemoryObjID()

bool MultiID::isInMemoryObjID | ( |  | ) | const

## ◆ isSyntheticID()

bool MultiID::isSyntheticID | ( |  | ) | const

## ◆ isTmpObjectID()

bool MultiID::isTmpObjectID | ( |  | ) | const

## ◆ isUdf()

bool MultiID::isUdf | ( |  | ) | const

## ◆ leafID()

int MultiID::leafID | ( |  | ) | const

## ◆ mainID()

MultiID MultiID::mainID | ( |  | ) | const

## ◆ nrIDs()

int MultiID::nrIDs | ( |  | ) | const
| inline

## ◆ nrKeys()

int MultiID::nrKeys | ( |  | ) | const
| inline

## ◆ objectID()

int MultiID::objectID | ( |  | ) | const
| inline

## ◆ operator!=() [1/2]

bool MultiID::operator!= | ( | const char * |  | ) | const
| inline delete

## ◆ operator!=() [2/2]

bool MultiID::operator!= | ( | const MultiID & |  | ) | const

## ◆ operator+=()

MultiID & MultiID::operator+= | ( | const char * |  | ) |
| delete

## ◆ operator=() [1/4]

MultiID & MultiID::operator= | ( | const char * |  | ) |
| inline delete

## ◆ operator=() [2/4]

MultiID & MultiID::operator= | ( | const CompoundKey & |  | ) |
| inline delete

## ◆ operator=() [3/4]

MultiID & MultiID::operator= | ( | const MultiID & |  | ) |

## ◆ operator=() [4/4]

MultiID & MultiID::operator= | ( | const StringView & |  | ) |
| inline delete

## ◆ operator==() [1/2]

bool MultiID::operator== | ( | const char * |  | ) | const
| inline delete

## ◆ operator==() [2/2]

bool MultiID::operator== | ( | const MultiID & |  | ) | const

## ◆ parent()

MultiID MultiID::parent | ( |  | ) | const

## ◆ setEmpty()

void MultiID::setEmpty | ( |  | ) |
| delete

## ◆ setGroupID()

MultiID & MultiID::setGroupID | ( | int | id | ) |
| inline

## ◆ setID()

MultiID & MultiID::setID | ( | int | idx,
|  | int | id )

## ◆ setObjectID()

MultiID & MultiID::setObjectID | ( | int | id | ) |
| inline

## ◆ setSubGroupID()

MultiID & MultiID::setSubGroupID | ( | int | id | ) |
| inline

## ◆ setSubObjectID()

MultiID & MultiID::setSubObjectID | ( | int | id | ) |
| inline

## ◆ setSurveyDiskLocation()

virtual void MultiID::setSurveyDiskLocation | ( | const SurveyDiskLocation & |  | ) |
| virtual

Reimplemented in DBKey.

## ◆ setUdf()

MultiID & MultiID::setUdf | ( |  | ) |
| inline

## ◆ subGroupID()

int MultiID::subGroupID | ( |  | ) | const
| inline

## ◆ subObjectID()

int MultiID::subObjectID | ( |  | ) | const
| inline

## ◆ surveyDiskLocation()

virtual const SurveyDiskLocation & MultiID::surveyDiskLocation | ( |  | ) | const
| virtual

Reimplemented in DBKey.

## ◆ toString()

BufferString MultiID::toString | ( |  | ) | const

## ◆ udf()

static const MultiID & MultiID::udf | ( |  | ) |
| static

## Member Data Documentation

## ◆ ids_

TypeSet<int> MultiID::ids_
| private

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025